Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.stream
Interface XMLOutputStream

All Known Subinterfaces:
  XMLInputOutputStream

All Known Implementing Classes:
  SecureSoapOutputStream, XMLInputOutputStreamBase

Deprecated. please use java standard StAX api

public interface XMLOutputStream

This is the top level interface for writing XML documents.

Since:
  XMLOutputStream 1.0
See Also:
  `XMLInputStream`, `XMLEvent`, `CharacterData`, `ProcessingInstruction`, `StartElement`, `EndElement`, `CharacterData`, `XMLName`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `add(Attribute attribute)` Deprecated.
`void` | `add(String markup)` Deprecated.
`void` | `add(XMLEvent event)` Deprecated.
`void` | `add(XMLInputStream inputStream)` Deprecated.
`void` | `close()` Deprecated.
`void` | `close(boolean flush)` Deprecated.
`void` | `flush()` Deprecated.

Method Detail

### add

    public void add(Attribute attribute)
             throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### add

    public void add(String markup)
             throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### add

    public void add(XMLEvent event)
             throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### add

    public void add(XMLInputStream inputStream)
             throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### close

    public void close()
               throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### close

    public void close(boolean flush)
               throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### flush

    public void flush()
               throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD